Subject: Re: [Ipoverib] Encapsulation Issues

From: "H.K. Jerry Chu" <[email-masked]>
Date: Thu, 8 Nov 2001 18:14:49 -0800 (PST)

...
<snip>

>        Thus there is an assumption that there is a QoS framework in
>        place. The IB specification leaves the usage and mode of
>        determination of the SL for the application to decide. The SL
>        and list of SLs are available in the SA but it is upto the
>        endnode's application to choose the 'right' value.
>
>        IP is one such IB application and so IPoIB needs to define a
>        set of rules on the choice of the SL. Furthermore it would be
>        nice, some may say required, to have all the nodes agree on a
>        common set of rules so that they come up with the same

It's still not clear to me how the choice of link-layer QoS parameters
are necessarily related to IP level QoS and thus the IPoIB standard.
DIFFSERV seems mostly concerned about the per-hop behavior of IP (level-3)
forwarding. If an IP subnet spans the whole IB fabric consisting of many
IB subnets, perhaps it makes sense to define a mapping from the DS field
of an IP header to the TClass of GRH. Otherwise does other IPoverFoo
standard specify a QoS mapping from IP to Foo? (HOw does IP over 802.3
handle this?)

Jerry

>        answers. 
>
>	How about the following :
>
>        The node is free to determine the SL to be used in any
>        implementation specific way. A configuration parameter must be
>        provided that when set implies that the all-IP nodes multicast
>        GID SL is suitable to be used for all unicast traffic in the
>        IPoIB subnet. Thus who value the benefits outlined by Ellen
>        may set their subnets to use the common SL others can
>        determine the SL by accessing the SA.
>
>Vivek
>
>-- 
>Vivek Kashyap
>IBM
>[email-masked] 
>[email-masked] 
>503 578 3422 (o)

_______________________________________________
IPoverIB mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/ipoverib

---

From: Vivek Kashyap <[email-masked]>
Date: Fri, 9 Nov 2001 00:13:47 -0800 (PST)

> standard specify a QoS mapping from IP to Foo? (HOw does IP over 802.3

        My concern is slightly different. SL is tied to QoS, deadlock
        avoidance and load balancing. IB doesn't specify how the SL
        must be chosen - i.e. it is an application specific issue. In
        the IPoIB context IP is the application that must decide on
        how the SL is chosen. 

        Do we therefore need a method or policy indication that says
        that in this subnet SL is chosen in this particular way ? As
        noted earlier (as far as I can tell) IB leaves this decision
        upto the IB applications.

        In this context a simple policy could be defined for the
        default case (IP best effort). One policy could be:

                get SL in whatever way (because in the relevant subnet
                deadlock avoidance depends on it or for some other
                reason) 

                or if a variable is set  

                	use SL of the broadcast GID.

        The more advanced case of IP QoS would have to be mapped to IB
        QoS by IBTA whenever that gets defined (in IBTA).

        [ Another advantage, as was noted earlier, with a default (or
        IP QoS mapped) determination of SL is that the interface
        (driver) doesn't have to keep a map of the SLs in a per
        destination table and/or go to the SM whenver needed
        especially as purges to this table can happen asynchronous to
        the ARP table expiry. ]

Vivek

-- 
Vivek Kashyap
IBM
[email-masked] 
[email-masked] 
503 578 3422 (o)

---

From: "Bill Strahm" <[email-masked]>
Date: Fri, 9 Nov 2001 11:11:27 -0800

<WG Chair hat on>
Quoting from our charter ---
The scope of this WG is limited to the definition of an encapsulation format
for carrying IPv4 and IPv6 over IB networks and for performing address
resolution between IP address and IB link-layer addresses. At the present
time, more advanced functionalities such as mapping IP QOS into IB-specific
capabilities is out of scope. Such work items may be considered in the
future, but will require a recharter.
---

I am not going to make this conversation out of bounds, it is important that
we be able to go into mapping between IP QOS and IB SLs correctly...
However that is beyond the encapsulation effort
<WG Chair Hat Off>

I'd like to offer an opinion here... There has been a LOT of work mapping IP
QOS, with 802.3P/Q TOS bits...  That said, the internet has functioned well
enough without needing this to work in the large scale (I as a sender do not
need to know how you as the receiver set either TOS/QOS bits in either
L2/L3)  Each site gets to engineer their networks for their benefit.

Bill

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf
Of H.K. Jerry Chu
Sent: Thursday, November 08, 2001 6:15 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [Ipoverib] Encapsulation Issues

...
<snip>

Jerry

---

From: Michael Krause <[email-masked]>
Date: Fri, 09 Nov 2001 18:10:17 -0800

>         upto the IB applications.

It gets even worse if IP subnets span multiple IB subnets and each IB 
subnet has a different SL policy.  The IB routers that support IP will need 
to map the SLs for each hop along the path so there must be some method to 
translate a given subnet's SL policy so they may be consistently mapped for 
IP purposes.  Not insurmountable per se but it is something that needs to 
be worked out - this may be just an IB issue as the same might be said for 
IB-to-IB communications traversing different IB subnets.

In any case, some more discussion to throw it either to IB to solve or at 
least some statement of IP's perspective on this needs to be made.

Mike